"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationServiceProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const service_proxy_1 = require("@loopback/service-proxy");
const datasources_1 = require("../datasources");
const keys_1 = require("../keys");
let AuthenticationServiceProvider = class AuthenticationServiceProvider {
    constructor(conf, 
    // auth must match the name property in the datasource json file
    dataSource = new datasources_1.AuthServiceDataSource(conf)) {
        this.dataSource = dataSource;
    }
    value() {
        return service_proxy_1.getService(this.dataSource);
    }
};
AuthenticationServiceProvider = tslib_1.__decorate([
    tslib_1.__param(0, core_1.inject(keys_1.BearerVerifierBindings.Config)),
    tslib_1.__param(1, core_1.inject('datasources.AuthService')),
    tslib_1.__metadata("design:paramtypes", [Object, datasources_1.AuthServiceDataSource])
], AuthenticationServiceProvider);
exports.AuthenticationServiceProvider = AuthenticationServiceProvider;
//# sourceMappingURL=authentication.service.js.map